%define jsoncpp_major 25
%define libname       %mklibname %name %{jsoncpp_major}
%define develname     %mklibname %name -d

Name:           jsoncpp
Version:        1.9.5
Release:        %mkrel 1
Summary:        C++ JSON Library
License:        Public Domain
Group:          System/Libraries
Url:            https://github.com/open-source-parsers/jsoncpp
Source0:        https://github.com/open-source-parsers/jsoncpp/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
#To generate docs
#BuildRequires:  doxygen
#BuildRequires:  graphviz

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.


%package -n %{libname}
Summary:        JsonCpp library
Group:          System/Libraries

%description -n %{libname}
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Unserialization parsing is user friendly and provides precise error reports.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       jsoncpp-devel = %{version}-%{release}
Provides:       libjsoncpp-devel = %{version}-%{release}

%description -n %{develname}
Files for building applications with %{name} support.

%prep
%setup -q

%build
%cmake \
  -DJSONCPP_VERSION:STRING="%{version}" \
  -DJSONCPP_WITH_TESTS:BOOL=OFF \
  -DJSONCPP_WITH_POST_BUILD_UNITTEST:BOOL=OFF \
  -DBUILD_OBJECT_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_includedir}/jsoncpp/
ln -s %{_includedir}/json %{buildroot}%{_includedir}/jsoncpp/json

%pretrans -n %{develname} -p <lua>
path = "%{_includedir}/jsoncpp/json"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end

%files -n %{libname}
%{_libdir}/libjsoncpp.so.%{jsoncpp_major}
%{_libdir}/libjsoncpp.so.%{version}

%files -n %{develname}
%{_includedir}/json/
%{_includedir}/jsoncpp/
%{_libdir}/libjsoncpp.so
%{_libdir}/pkgconfig/jsoncpp.pc
%{_libdir}/cmake/jsoncpp/


%changelog
* Sat Oct 28 2023 daviddavid <daviddavid> 1.9.5-1.mga10
+ Revision: 2002378
- new version: 1.9.5
- now libmajor is 25

* Wed Apr 06 2022 wally <wally> 1.9.4-4.mga9
+ Revision: 1846542
- fix version in pkg-conf .pc file

* Thu Mar 17 2022 umeabot <umeabot> 1.9.4-3.mga9
+ Revision: 1796401
- Mageia 9 Mass Rebuild

* Sat Jul 31 2021 wally <wally> 1.9.4-2.mga9
+ Revision: 1738406
- build using cmake to have cmake config support in devel pkg

* Thu Nov 19 2020 luigiwalser <luigiwalser> 1.9.4-1.mga8
+ Revision: 1647379
- 1.9.4
- library major is now 24
- switch to meson build system

* Thu Feb 13 2020 umeabot <umeabot> 1.8.4-3.mga8
+ Revision: 1513688
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.8.4-2.mga7
+ Revision: 1298398
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 1.8.4-1.mga7
+ Revision: 1220104
- new version: 1.8.4

* Fri Oct 13 2017 eatdirt <eatdirt> 1.8.3-1.mga7
+ Revision: 1171518
- Upgrade to latest version 1.8.3

* Sat Mar 11 2017 wally <wally> 1.6.5-6.mga6
+ Revision: 1091936
- add %%pretrans lua scriptlet to fix update from mga5 (mga#20448)

* Mon Jan 02 2017 wally <wally> 1.6.5-5.mga6
+ Revision: 1079687
- add compatibility symlink to provide header files also in old location

* Sun Jan 01 2017 neoclust <neoclust> 1.6.5-4.mga6
+ Revision: 1079498
- Build using cmake ( allow to install pkgconfig file)

* Mon Feb 15 2016 umeabot <umeabot> 1.6.5-3.mga6
+ Revision: 960738
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 cjw <cjw> 1.6.5-2.mga6
+ Revision: 868402
- rebuild with gcc 5

* Sun Aug 02 2015 dlucio <dlucio> 1.6.5-1.mga6
+ Revision: 860645
- 1.6.5

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-0.rc2.4.mga5
+ Revision: 745759
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-0.rc2.3.mga5
+ Revision: 680875
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-0.rc2.2.mga4
+ Revision: 530852
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 fwang <fwang> 0.6.0-0.rc2.1.mga4
+ Revision: 460429
- new version 0.6 rc2

* Mon Jul 29 2013 fwang <fwang> 0.5.0-11.mga4
+ Revision: 460425
- add empty file
- cleanup spec

* Sat Jan 12 2013 umeabot <umeabot> 0.5.0-11.mga3
+ Revision: 355629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 20 2011 cjw <cjw> 0.5.0-10.mga1
+ Revision: 89275
- imported package jsoncpp


* Mon Apr 18 2011 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5.0-10
- patch0: use autotools instead of scons to fix shared libs
- add HTML documentation from doxygen

* Fri Jul 30 2010 Nicolas Vigier <nvigier@mandriva.com> 0.5.0-9mdv2011.0
+ Revision: 563704
- fix post

* Fri Jul 30 2010 Nicolas Vigier <nvigier@mandriva.com> 0.5.0-8mdv2011.0
+ Revision: 563691
- fix filename for .so file

* Fri Jul 30 2010 Nicolas Vigier <nvigier@mandriva.com> 0.5.0-7mdv2011.0
+ Revision: 563645
- add jsoncpp-devel and libjsoncpp-devel provides

* Fri Jul 30 2010 Stéphane Laurière <slauriere@mandriva.com> 0.5.0-6mdv2011.0
+ Revision: 563409
+ rebuild (emptylog)

* Thu Jul 29 2010 Stéphane Laurière <slauriere@mandriva.com> 0.5.0-5mdv2011.0
+ Revision: 563220
- updated group and file attributes
- first release, based on Caixa M?\195?\161gica's jsoncpp

